%{?scl:%scl_package docker-client}
%{!?scl:%global pkg_name %{name}}

Name:           %{?scl_prefix}docker-client
Version:        4.0.6
Release:        %mkrel 2
Group:          Development/Java
Summary:        Docker Client

License:        ASL 2.0
URL:            https://github.com/spotify/docker-client
Source0:        https://github.com/spotify/docker-client/archive/v%{version}.tar.gz

Patch0:         add-manifest.patch
Patch1:         httpcomponents-annotations.patch

BuildRequires: maven-local
BuildRequires: mvn(org.apache.maven.plugins:maven-failsafe-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires: mvn(org.jacoco:jacoco-maven-plugin)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires: %{?scl_prefix}apache-commons-compress >= 1.9
BuildRequires: %{?scl_prefix}bouncycastle-pkix >= 1.50
BuildRequires: %{?scl_prefix}glassfish-hk2-utils >= 2.4.0-0.4.b24
BuildRequires: %{?scl_prefix}jnr-unixsocket >= 0.2
BuildRequires: %{?scl_prefix}glassfish-annotation-api >= 1.2
BuildRequires: %{?scl_prefix}glassfish-hk2-api >= 2.4.0-0.4.b24
BuildRequires: %{?scl_prefix}glassfish-hk2-locator >= 2.4.0-0.4.b24
BuildRequires: %{?scl_prefix}glassfish-jaxb-api >= 2.2.12
BuildRequires: %{?scl_prefix}glassfish-jax-rs-api >= 2.0.1
BuildRequires: %{?scl_prefix}jackson-annotations >= 2.5.0
BuildRequires: %{?scl_prefix}jackson-core >= 2.5.0
BuildRequires: %{?scl_prefix}jackson-databind >= 2.5.0
BuildRequires: %{?scl_prefix}jackson-dataformat-yaml >= 2.5.0
BuildRequires: %{?scl_prefix}jackson-datatype-guava >= 2.5.0
BuildRequires: %{?scl_prefix}jackson-jaxrs-json-provider >= 2.5.0
BuildRequires: %{?scl_prefix}jackson-jaxrs-providers >= 2.5.0
BuildRequires: %{?scl_prefix}jackson-module-jaxb-annotations >= 2.5.0
BuildRequires: %{?scl_prefix}jersey >= 2.17

# This is provided by JRE but need it until either
# - jackson-module-jaxb-annotations adds Requires to it
# - jackson-module-jaxb-annotations removes it from Import-Package entirely
Requires: %{?scl_prefix}glassfish-jaxb-api >= 2.2.12

# API change in httpcomponents makes this version important
# only for mga7 and httpcomponents-core >= 4.4.5
#Requires: httpcomponents-core >= 4.4.5

BuildArch: noarch

%description
The Docker Client is a Java API library for accessing a Docker daemon.

%prep
%setup -q -n docker-client-%{version}
%patch0
# only for mga7 and httpcomponents-core >= 4.4.5
#patch1
%pom_remove_plugin org.sonatype.plugins:nexus-staging-maven-plugin
%pom_remove_plugin org.apache.maven.plugins:maven-checkstyle-plugin
%pom_remove_plugin org.apache.maven.plugins:maven-shade-plugin

%build
%mvn_build -j -f

%install
%mvn_install

%files -f .mfiles
%license LICENSE
%doc NOTICE README.md



%changelog
* Thu Jun 30 2016 daviddavid <daviddavid> 4.0.6-2.mga6
+ Revision: 1038179
- Add missing BR on oss-parent
- Add patch to avoid annotations removed from httpcomponents >= 4.4.5 (only for mga7)
- Add missing import-packages in OSGi manifest

* Sat May 21 2016 daviddavid <daviddavid> 4.0.6-1.mga6
+ Revision: 1017337
- Update to upstream 4.0.6 release

* Sun May 01 2016 daviddavid <daviddavid> 4.0.1-1.mga6
+ Revision: 1008403
- Update to upstream 4.0.1 release
- Add com.spotify.docker.client.exceptions to exported packages

* Wed Mar 02 2016 neoclust <neoclust> 3.5.12-3.mga6
+ Revision: 982195
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 3.5.12-2.mga6
+ Revision: 975758
- First rebuild of the java stack
- sync package docker-client with fedora

